
package com.tmerclub.cloud.api.user.bo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 用户相关订单统计数据
 * @author: cl
 * @date: 2021-04-14 14:04:01
 */
public class UserOrderStatisticListBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "老会员总成交数据")
    private UserOrderStatisticBO oldUserOrderStatistic;
    @Schema(description = "新会员总成交数据")
    private UserOrderStatisticBO newUserOrderStatistic;

    @Schema(description = "老会员成交数据列表")
    private List<UserOrderStatisticBO> oldUserOrderStatisticList;
    @Schema(description = "新会员成交数据列表")
    private List<UserOrderStatisticBO> newUserOrderStatisticList;

    public List<UserOrderStatisticBO> getOldUserOrderStatisticList() {
        return oldUserOrderStatisticList;
    }

    public void setOldUserOrderStatisticList(List<UserOrderStatisticBO> oldUserOrderStatisticList) {
        this.oldUserOrderStatisticList = oldUserOrderStatisticList;
    }

    public List<UserOrderStatisticBO> getNewUserOrderStatisticList() {
        return newUserOrderStatisticList;
    }

    public void setNewUserOrderStatisticList(List<UserOrderStatisticBO> newUserOrderStatisticList) {
        this.newUserOrderStatisticList = newUserOrderStatisticList;
    }

    public UserOrderStatisticBO getOldUserOrderStatistic() {
        return oldUserOrderStatistic;
    }

    public void setOldUserOrderStatistic(UserOrderStatisticBO oldUserOrderStatistic) {
        this.oldUserOrderStatistic = oldUserOrderStatistic;
    }

    public UserOrderStatisticBO getNewUserOrderStatistic() {
        return newUserOrderStatistic;
    }

    public void setNewUserOrderStatistic(UserOrderStatisticBO newUserOrderStatistic) {
        this.newUserOrderStatistic = newUserOrderStatistic;
    }

    @Override
    public String toString() {
        return "UserOrderStatisticListBO{" +
                "oldUserOrderStatistic=" + oldUserOrderStatistic +
                ", newUserOrderStatistic=" + newUserOrderStatistic +
                ", oldUserOrderStatisticList=" + oldUserOrderStatisticList +
                ", newUserOrderStatisticList=" + newUserOrderStatisticList +
                '}';
    }
}
